com.sun.jna.platform.win32

## Class WinDef.HICON

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinNT.HANDLE
    - - com.sun.jna.platform.win32.WinDef.HICON

All Implemented Interfaces:
  NativeMapped

Direct Known Subclasses:
  WinDef.HCURSOR

Enclosing interface:
  WinDef

    public static class WinDef.HICON
    extends WinNT.HANDLE

Handle to an icon.

### Constructor Summary

Constructors
Constructor and Description
`HICON()` Instantiates a new hicon.
`HICON(Pointer p)` Instantiates a new hicon.
`HICON(WinNT.HANDLE handle)` Instantiates a new hicon from a handle - this is required since in Win32 API HANDLE and HICON are the same, whereas in Java they are not, so in order to "cast" the handle we need this constructor

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

`fromNative, setPointer, toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, getPointer, hashCode, nativeType, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HICON

    public HICON()

Instantiates a new hicon.

#### HICON

    public HICON(WinNT.HANDLE handle)

Instantiates a new hicon from a handle - this is required since in Win32 API HANDLE and HICON are the same, whereas in Java they are not, so in order to "cast" the handle we need this constructor

Parameters:
  `handle` - The `WinNT.HANDLE` to cast

#### HICON

    public HICON(Pointer p)

Instantiates a new hicon.

Parameters:
  `p` - the p

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.